# coding: utf-8
# Winki the Ripper - GTK frontend for mencoder, mplayer and lsdvd
# Copyright (C) 2004-2007 Velko Hristov
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

class Constructor:
    def __init__(self):
        self.__src_number = None
        self.__src_device = None
        return

    # -- public interface --

    def set_source(self, src_dev = None, src_nr = None):
        self.__src_device = src_dev
        self.__src_number = src_nr
        return

    def construct_dvd_source(self, chapt):
        if not self.__src_number:
            return None

        result = 'dvd://%d' % self.__src_number

        if self.__src_device:
            result += ' -dvd-device %s' % self.__src_device

        if chapt and len(chapt) == 2:
            result += ' -chapter %d-%d' % (chapt[0], chapt[1])

        return result

    def construct_file_source(self):
        return self.__src_device

# vim:number:autoindent:shiftwidth=4:tabstop=4:softtabstop=4:expandtab
