# Winki the Ripper - GTK frontend for mencoder, mplayer and lsdvd
# Copyright (C) 2004-2007 Velko Hristov
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

class Context:
	def __init__(self):
		self.__project = None
		return

	# -- public interface --

	def set_project(self, project):
		self.__project = project
		#dest = self.__project.get_dest()
		#title_nr = 0
		#for container in dest:
		#	for title in container:
		#		self.__fix_chapter_ids(title, title_nr)
		#		title_nr += 1
		return

	def get_project(self):
		return self.__project

	def get_source(self):
		return self.__project.get_source()

	def get_dest(self):
		return self.__project.get_dest()

	def get_tool_checker(self):
		return self.__project.get_tool_checker()

	def get_iso_codes(self):
		return self.__project.get_iso_codes()

	def get_config(self):
		return self.__project.get_config()

	# -- helpers --

	def __fix_chapter_ids(self, title, title_nr):
		chapter_id = 1
		for chapter in title.get_chapters():
			chapter.set_id(chapter_id)
			chapter.set_title_id(title_nr)
			chapter_id += 1
		return

